FreeMat

- Main Page
- Related Pages

vtkMCubesWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkMCubesWriter is a polydata writer that writes binary marching cubes files. (Marching cubes is an isosurfacing technique that generates many triangles.) The binary format is supported by W. Lorensen's marching cubes program (and the vtkSliceCubes object). Each triangle is represented by three records, with each record consisting of six single precision floating point numbers representing the a triangle vertex coordinate and vertex normal.

To create an instance of class vtkMCubesWriter, simply invoke its constructor as follows

      obj = vtkMCubesWriter

# Methods

The class vtkMCubesWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMCubesWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMCubesWriter = obj.NewInstance ()`
- `vtkMCubesWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetLimitsFileName (string )` - Set/get file name of marching cubes limits file.
- `string = obj.GetLimitsFileName ()` - Set/get file name of marching cubes limits file.